IngestTableConstraints
curl --request POST \
--url https://developer.synq.io/api/datawarehouse/v1/connection/{connection_id}/upload/{upload_id}/table-constraints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stateAt": "2023-11-07T05:31:56Z",
"tableConstraints": [
{
"constraints": [
{
"name": "<string>",
"type": "<string>",
"columns": [
"<string>"
],
"foreignKeyTarget": {
"objectName": "<string>",
"instanceName": "<string>",
"databaseName": "<string>",
"schemaName": "<string>"
},
"foreignKeyTargetColumns": [
"<string>"
],
"indexType": "<string>",
"expression": "<string>",
"isUnique": true,
"isEnforced": true
}
]
}
]
}
'import requests
url = "https://developer.synq.io/api/datawarehouse/v1/connection/{connection_id}/upload/{upload_id}/table-constraints"
payload = {
"stateAt": "2023-11-07T05:31:56Z",
"tableConstraints": [{ "constraints": [
{
"name": "<string>",
"type": "<string>",
"columns": ["<string>"],
"foreignKeyTarget": {
"objectName": "<string>",
"instanceName": "<string>",
"databaseName": "<string>",
"schemaName": "<string>"
},
"foreignKeyTargetColumns": ["<string>"],
"indexType": "<string>",
"expression": "<string>",
"isUnique": True,
"isEnforced": True
}
] }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stateAt: '2023-11-07T05:31:56Z',
tableConstraints: [
{
constraints: [
{
name: '<string>',
type: '<string>',
columns: ['<string>'],
foreignKeyTarget: {
objectName: '<string>',
instanceName: '<string>',
databaseName: '<string>',
schemaName: '<string>'
},
foreignKeyTargetColumns: ['<string>'],
indexType: '<string>',
expression: '<string>',
isUnique: true,
isEnforced: true
}
]
}
]
})
};
fetch('https://developer.synq.io/api/datawarehouse/v1/connection/{connection_id}/upload/{upload_id}/table-constraints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.ingest.dwh.v1.DwhService
IngestTableConstraints
POST
/
api
/
datawarehouse
/
v1
/
connection
/
{connection_id}
/
upload
/
{upload_id}
/
table-constraints
IngestTableConstraints
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Time at which state was collected timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true
Examples:
"2023-01-15T01:30:15.01Z"
"2024-12-25T12:00:00Z"
Show child attributes
Show child attributes
Response
200 - application/json
Success
The response is of type IngestTableConstraintsResponse · object.
⌘I